<?php
/**
 * @file
 * wcm_panels_settings.features.inc
 */

/**
 * Implements hook_ctools_plugin_api().
 */
function wcm_panels_settings_ctools_plugin_api($module = NULL, $api = NULL) {
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => "1");
  }
}

/**
 * Implements hook_field_default_field_instances_alter().
 */
function wcm_panels_settings_field_default_field_instances_alter(&$data) {
  if (isset($data['fieldable_panels_pane-basic_file-field_basic_file_file'])) {
    $data['fieldable_panels_pane-basic_file-field_basic_file_file']['widget']['module'] = 'media'; /* WAS: 'file' */
    $data['fieldable_panels_pane-basic_file-field_basic_file_file']['widget']['settings']['allowed_schemes'] = array(
      'private' => 0,
      'public' => 0,
      'vimeo' => 0,
      'youtube' => 0,
    ); /* WAS: '' */
    $data['fieldable_panels_pane-basic_file-field_basic_file_file']['widget']['settings']['allowed_types'] = array(
      'audio' => 0,
      'document' => 0,
      'image' => 0,
      'video' => 0,
    ); /* WAS: '' */
    $data['fieldable_panels_pane-basic_file-field_basic_file_file']['widget']['settings']['browser_plugins'] = array(
      'media_default--media_browser_1' => 0,
      'media_default--media_browser_my_files' => 0,
      'media_internet' => 0,
      'upload' => 0,
    ); /* WAS: '' */
    $data['fieldable_panels_pane-basic_file-field_basic_file_file']['widget']['settings']['manualcrop_crop_info'] = 1; /* WAS: '' */
    $data['fieldable_panels_pane-basic_file-field_basic_file_file']['widget']['settings']['manualcrop_default_crop_area'] = 1; /* WAS: '' */
    $data['fieldable_panels_pane-basic_file-field_basic_file_file']['widget']['settings']['manualcrop_enable'] = 0; /* WAS: '' */
    $data['fieldable_panels_pane-basic_file-field_basic_file_file']['widget']['settings']['manualcrop_inline_crop'] = 0; /* WAS: '' */
    $data['fieldable_panels_pane-basic_file-field_basic_file_file']['widget']['settings']['manualcrop_instant_crop'] = FALSE; /* WAS: '' */
    $data['fieldable_panels_pane-basic_file-field_basic_file_file']['widget']['settings']['manualcrop_instant_preview'] = 1; /* WAS: '' */
    $data['fieldable_panels_pane-basic_file-field_basic_file_file']['widget']['settings']['manualcrop_keyboard'] = 1; /* WAS: '' */
    $data['fieldable_panels_pane-basic_file-field_basic_file_file']['widget']['settings']['manualcrop_maximize_default_crop_area'] = 0; /* WAS: '' */
    $data['fieldable_panels_pane-basic_file-field_basic_file_file']['widget']['settings']['manualcrop_require_cropping'] = array(); /* WAS: '' */
    $data['fieldable_panels_pane-basic_file-field_basic_file_file']['widget']['settings']['manualcrop_styles_list'] = array(); /* WAS: '' */
    $data['fieldable_panels_pane-basic_file-field_basic_file_file']['widget']['settings']['manualcrop_styles_mode'] = 'include'; /* WAS: '' */
    $data['fieldable_panels_pane-basic_file-field_basic_file_file']['widget']['settings']['manualcrop_thumblist'] = 0; /* WAS: '' */
    $data['fieldable_panels_pane-basic_file-field_basic_file_file']['widget']['type'] = 'media_generic'; /* WAS: 'file_generic' */
  }
  if (isset($data['fieldable_panels_pane-image-field_basic_image_image'])) {
    $data['fieldable_panels_pane-image-field_basic_image_image']['display']['default']['settings']['image_style'] = 'image_style_full'; /* WAS: 'panopoly_image_full' */
    $data['fieldable_panels_pane-image-field_basic_image_image']['ds_extras_field_template'] = ''; /* WAS: '' */
    $data['fieldable_panels_pane-image-field_basic_image_image']['settings']['file_directory'] = ''; /* WAS: 'general' */
    $data['fieldable_panels_pane-image-field_basic_image_image']['settings']['file_extensions'] = 'png gif jpg jpeg svg'; /* WAS: 'png gif jpg jpeg' */
    unset($data['fieldable_panels_pane-image-field_basic_image_image']['widget']['settings']['browser_plugins']['youtube']);
    unset($data['fieldable_panels_pane-image-field_basic_image_image']['widget']['settings']['manualcrop_styles_list']['panopoly_image_full']);
  }
  if (isset($data['fieldable_panels_pane-image-field_basic_image_link'])) {
    unset($data['fieldable_panels_pane-image-field_basic_image_link']);
  }
}

/**
 * Implements hook_default_page_manager_handlers_alter().
 */
function wcm_panels_settings_default_page_manager_handlers_alter(&$data) {
  if (isset($data['node_edit_panel_context'])) {
    $data['node_edit_panel_context']->conf['display']->content['new-08dde41f-c835-4e3a-b0ef-28191ff0275d'] = (object) array(
          'pid' => 'new-08dde41f-c835-4e3a-b0ef-28191ff0275d',
          'panel' => 'sidebar',
          'type' => 'node_form_author',
          'subtype' => 'node_form_author',
          'shown' => TRUE,
          'access' => array(),
          'configuration' => array(
            'context' => 'argument_node_edit_1',
            'override_title' => 0,
            'override_title_text' => '',
            'override_title_heading' => 'h2',
          ),
          'cache' => array(),
          'style' => array(
            'settings' => NULL,
          ),
          'css' => array(),
          'extras' => array(),
          'position' => 3,
          'locks' => array(),
          'uuid' => '08dde41f-c835-4e3a-b0ef-28191ff0275d',
        ); /* WAS: '' */
    $data['node_edit_panel_context']->conf['display']->content['new-13dff848-cce9-4135-9dcc-dab92cb83895'] = (object) array(
          'pid' => 'new-13dff848-cce9-4135-9dcc-dab92cb83895',
          'panel' => 'sidebar',
          'type' => 'node_form_buttons',
          'subtype' => 'node_form_buttons',
          'shown' => TRUE,
          'access' => array(),
          'configuration' => array(
            'context' => 'argument_node_edit_1',
            'override_title' => 1,
            'override_title_text' => '',
            'override_title_heading' => 'h2',
          ),
          'cache' => array(),
          'style' => array(
            'settings' => NULL,
          ),
          'css' => array(),
          'extras' => array(),
          'position' => 6,
          'locks' => array(),
          'uuid' => '13dff848-cce9-4135-9dcc-dab92cb83895',
        ); /* WAS: '' */
    $data['node_edit_panel_context']->conf['display']->content['new-3dbe9a87-780b-4039-bb07-723f5c8bca58'] = (object) array(
          'pid' => 'new-3dbe9a87-780b-4039-bb07-723f5c8bca58',
          'panel' => 'sidebar',
          'type' => 'node_form_log',
          'subtype' => 'node_form_log',
          'shown' => TRUE,
          'access' => array(),
          'configuration' => array(
            'context' => 'argument_node_edit_1',
            'override_title' => 1,
            'override_title_text' => '',
            'override_title_heading' => 'h2',
          ),
          'cache' => array(),
          'style' => array(
            'settings' => NULL,
          ),
          'css' => array(),
          'extras' => array(),
          'position' => 1,
          'locks' => array(),
          'uuid' => '3dbe9a87-780b-4039-bb07-723f5c8bca58',
        ); /* WAS: '' */
    $data['node_edit_panel_context']->conf['display']->content['new-5d180289-633a-4162-b192-a1314cce1e4c'] = (object) array(
          'pid' => 'new-5d180289-633a-4162-b192-a1314cce1e4c',
          'panel' => 'sidebar',
          'type' => 'node_form_publishing',
          'subtype' => 'node_form_publishing',
          'shown' => TRUE,
          'access' => array(),
          'configuration' => array(
            'context' => 'argument_node_edit_1',
            'override_title' => 0,
            'override_title_text' => '',
            'override_title_heading' => 'h2',
          ),
          'cache' => array(),
          'style' => array(
            'settings' => NULL,
          ),
          'css' => array(),
          'extras' => array(),
          'position' => 0,
          'locks' => array(),
          'uuid' => '5d180289-633a-4162-b192-a1314cce1e4c',
        ); /* WAS: '' */
    $data['node_edit_panel_context']->conf['display']->content['new-71e8c64f-55c3-40b6-ab0d-a93547057e44'] = (object) array(
          'pid' => 'new-71e8c64f-55c3-40b6-ab0d-a93547057e44',
          'panel' => 'sidebar',
          'type' => 'node_form_menu',
          'subtype' => 'node_form_menu',
          'shown' => TRUE,
          'access' => array(),
          'configuration' => array(
            'context' => 'argument_node_edit_1',
            'override_title' => 0,
            'override_title_text' => '',
            'override_title_heading' => 'h2',
          ),
          'cache' => array(),
          'style' => array(
            'settings' => NULL,
          ),
          'css' => array(),
          'extras' => array(),
          'position' => 2,
          'locks' => array(),
          'uuid' => '71e8c64f-55c3-40b6-ab0d-a93547057e44',
        ); /* WAS: '' */
    $data['node_edit_panel_context']->conf['display']->content['new-d5114956-1a65-4500-9616-d9e7a386974c'] = (object) array(
          'pid' => 'new-d5114956-1a65-4500-9616-d9e7a386974c',
          'panel' => 'contentmain',
          'type' => 'entity_form_field',
          'subtype' => 'node:field_featured_image',
          'shown' => TRUE,
          'access' => array(),
          'configuration' => array(
            'label' => '',
            'formatter' => '',
            'context' => 'argument_node_edit_1',
            'override_title' => 1,
            'override_title_text' => 'Featured Image',
            'override_title_heading' => 'h2',
          ),
          'cache' => array(),
          'style' => array(
            'settings' => NULL,
          ),
          'css' => array(),
          'extras' => array(),
          'position' => 3,
          'locks' => array(),
          'uuid' => 'd5114956-1a65-4500-9616-d9e7a386974c',
        ); /* WAS: '' */
    $data['node_edit_panel_context']->conf['display']->content['new-da419228-f10f-48ea-9972-7398d723c22c'] = (object) array(
          'pid' => 'new-da419228-f10f-48ea-9972-7398d723c22c',
          'panel' => 'sidebar',
          'type' => 'panelizer_form_default',
          'subtype' => 'panelizer_form_default',
          'shown' => TRUE,
          'access' => array(),
          'configuration' => array(),
          'cache' => array(),
          'style' => array(
            'settings' => NULL,
          ),
          'css' => array(),
          'extras' => array(),
          'position' => 4,
          'locks' => array(),
          'uuid' => 'da419228-f10f-48ea-9972-7398d723c22c',
        ); /* WAS: '' */
    $data['node_edit_panel_context']->conf['display']->content['new-dee9be9c-57b9-4710-a15f-9aa0f443c873'] = (object) array(
          'pid' => 'new-dee9be9c-57b9-4710-a15f-9aa0f443c873',
          'panel' => 'sidebar',
          'type' => 'entity_form_field',
          'subtype' => 'node:field_byline',
          'shown' => TRUE,
          'access' => array(),
          'configuration' => array(
            'label' => '',
            'formatter' => '',
            'context' => 'argument_node_edit_1',
            'override_title' => 0,
            'override_title_text' => '',
            'override_title_heading' => 'h2',
          ),
          'cache' => array(),
          'style' => array(
            'settings' => NULL,
          ),
          'css' => array(),
          'extras' => array(),
          'position' => 5,
          'locks' => array(),
          'uuid' => 'dee9be9c-57b9-4710-a15f-9aa0f443c873',
        ); /* WAS: '' */
    $data['node_edit_panel_context']->conf['display']->panel_settings['style_settings']['footer'] = NULL; /* WAS: '' */
    $data['node_edit_panel_context']->conf['display']->panel_settings['style_settings']['header'] = NULL; /* WAS: '' */
    $data['node_edit_panel_context']->conf['display']->panels['contentmain'][3] = 'new-d5114956-1a65-4500-9616-d9e7a386974c'; /* WAS: '' */
    $data['node_edit_panel_context']->conf['display']->panels['sidebar'][0] = 'new-5d180289-633a-4162-b192-a1314cce1e4c'; /* WAS: 'new-373bd769-1e08-4ec5-85b6-0a1d2fc759fd' */
    $data['node_edit_panel_context']->conf['display']->panels['sidebar'][1] = 'new-3dbe9a87-780b-4039-bb07-723f5c8bca58'; /* WAS: 'new-51126c95-cf51-4ad6-a27a-11e4260d8023' */
    $data['node_edit_panel_context']->conf['display']->panels['sidebar'][2] = 'new-71e8c64f-55c3-40b6-ab0d-a93547057e44'; /* WAS: 'new-99f6c0bd-36fd-411b-9833-c0be0fab7548' */
    $data['node_edit_panel_context']->conf['display']->panels['sidebar'][3] = 'new-08dde41f-c835-4e3a-b0ef-28191ff0275d'; /* WAS: 'new-e38ab3a3-24d0-4ac2-900e-4ddb0248be0c' */
    $data['node_edit_panel_context']->conf['display']->panels['sidebar'][4] = 'new-da419228-f10f-48ea-9972-7398d723c22c'; /* WAS: 'new-9176b962-e64f-44a6-8ebe-e03ebf0f6c3d' */
    $data['node_edit_panel_context']->conf['display']->panels['sidebar'][5] = 'new-dee9be9c-57b9-4710-a15f-9aa0f443c873'; /* WAS: 'new-6e4a98d8-3738-41b9-8c33-4b4c905c6834' */
    $data['node_edit_panel_context']->conf['display']->panels['sidebar'][6] = 'new-13dff848-cce9-4135-9dcc-dab92cb83895'; /* WAS: 'new-c0926cca-059c-4bb1-bccd-2838ec7a93f2' */
    $data['node_edit_panel_context']->weight = -29; /* WAS: 0 */
    unset($data['node_edit_panel_context']->conf['display']->content['new-373bd769-1e08-4ec5-85b6-0a1d2fc759fd']);
    unset($data['node_edit_panel_context']->conf['display']->content['new-51126c95-cf51-4ad6-a27a-11e4260d8023']);
    unset($data['node_edit_panel_context']->conf['display']->content['new-6e4a98d8-3738-41b9-8c33-4b4c905c6834']);
    unset($data['node_edit_panel_context']->conf['display']->content['new-9176b962-e64f-44a6-8ebe-e03ebf0f6c3d']);
    unset($data['node_edit_panel_context']->conf['display']->content['new-99f6c0bd-36fd-411b-9833-c0be0fab7548']);
    unset($data['node_edit_panel_context']->conf['display']->content['new-c0926cca-059c-4bb1-bccd-2838ec7a93f2']);
    unset($data['node_edit_panel_context']->conf['display']->content['new-e38ab3a3-24d0-4ac2-900e-4ddb0248be0c']);
  }
}
