<?php
/**
 * @file
 * wcm_user_config.features.inc
 */

/**
 * Implements hook_ctools_plugin_api().
 */
function wcm_user_config_ctools_plugin_api($module = NULL, $api = NULL) {
  if ($module == "ds" && $api == "ds") {
    return array("version" => "1");
  }
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => "1");
  }
}

/**
 * Implements hook_views_default_views_alter().
 */
function wcm_user_config_views_default_views_alter(&$data) {
  if (isset($data['admin_views_user'])) {
    $data['admin_views_user']->display['default']->display_options['fields']['views_bulk_operations']['table'] = 'views_entity_user'; /* WAS: 'users' */
    $data['admin_views_user']->display['default']->display_options['fields']['views_bulk_operations']['vbo_operations']['action::role_delegation_delegate_roles_action'] = array(
      'selected' => 1,
      'postpone_processing' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ); /* WAS: '' */
    $data['admin_views_user']->display['default']->display_options['fields']['views_bulk_operations']['vbo_operations']['action::user_block_user_action']['selected'] = 1; /* WAS: 0 */
    $data['admin_views_user']->display['default']->display_options['fields']['views_bulk_operations']['vbo_operations']['action::user_block_user_action']['skip_confirmation'] = 0; /* WAS: 1 */
    $data['admin_views_user']->display['default']->display_options['fields']['views_bulk_operations']['vbo_operations']['action::views_bulk_operations_modify_action']['settings']['display_values']['status'] = 'status'; /* WAS: '' */
    $data['admin_views_user']->display['default']->display_options['fields']['views_bulk_operations']['vbo_operations']['action::views_bulk_operations_modify_action']['settings']['display_values']['user::field_contact_group'] = 'user::field_contact_group'; /* WAS: '' */
    $data['admin_views_user']->display['default']->display_options['fields']['views_bulk_operations']['vbo_operations']['action::views_bulk_operations_modify_action']['settings']['display_values']['user::field_display_in_leadership_list'] = 'user::field_display_in_leadership_list'; /* WAS: '' */
    $data['admin_views_user']->display['default']->display_options['fields']['views_bulk_operations']['vbo_operations']['action::views_bulk_operations_modify_action']['settings']['display_values']['user::field_display_on_contact_page'] = 'user::field_display_on_contact_page'; /* WAS: '' */
    $data['admin_views_user']->display['default']->display_options['fields']['views_bulk_operations']['vbo_operations']['action::views_bulk_operations_modify_action']['settings']['display_values']['user::field_job_title'] = 'user::field_job_title'; /* WAS: '' */
    $data['admin_views_user']->display['default']->display_options['fields']['views_bulk_operations']['vbo_operations']['action::views_bulk_operations_modify_action']['settings']['display_values']['user::field_leadership_group'] = 'user::field_leadership_group'; /* WAS: '' */
    $data['admin_views_user']->display['default']->display_options['fields']['views_bulk_operations']['vbo_operations']['action::views_bulk_operations_modify_action']['settings']['display_values']['user::field_phone'] = 'user::field_phone'; /* WAS: '' */
    $data['admin_views_user']->display['default']->display_options['fields']['views_bulk_operations']['vbo_operations']['action::views_bulk_operations_modify_action']['settings']['display_values']['user::field_room_and_building'] = 'user::field_room_and_building'; /* WAS: '' */
    $data['admin_views_user']->display['default']->display_options['fields']['views_bulk_operations']['vbo_operations']['action::views_bulk_operations_modify_action']['settings']['display_values']['user::field_street_address'] = 'user::field_street_address'; /* WAS: '' */
    $data['admin_views_user']->display['default']->display_options['fields']['views_bulk_operations']['vbo_settings']['row_clickable'] = 1; /* WAS: '' */
    $data['admin_views_user']->display['default']->display_options['filters']['realname'] = array(
      'id' => 'realname',
      'table' => 'realname',
      'field' => 'realname',
      'operator' => 'contains',
      'group' => 1,
      'exposed' => TRUE,
      'expose' => array(
        'operator_id' => 'realname_op',
        'label' => 'Name',
        'operator' => 'realname_op',
        'identifier' => 'realname',
        'remember' => TRUE,
        'remember_roles' => array(
          2 => 2,
          1 => 0,
          6 => 0,
          5 => 0,
          4 => 0,
          8 => 0,
          7 => 0,
          3 => 0,
        ),
        'autocomplete_raw_suggestion' => 1,
        'autocomplete_raw_dropdown' => 1,
        'autocomplete_dependent' => 0,
      ),
    ); /* WAS: '' */
    $data['admin_views_user']->display['default']->display_options['query']['options']['query_tags'] = array(
      0 => 'administerusersbyrole_edit_access',
    ); /* WAS: '' */
    unset($data['admin_views_user']->display['default']->display_options['fields']['cancel_node']);
    unset($data['admin_views_user']->display['default']->display_options['fields']['views_bulk_operations']['vbo_operations']['action::system_block_ip_action']);
    unset($data['admin_views_user']->display['default']->display_options['fields']['views_bulk_operations']['vbo_operations']['action::system_goto_action']);
    unset($data['admin_views_user']->display['default']->display_options['fields']['views_bulk_operations']['vbo_operations']['action::system_message_action']);
    unset($data['admin_views_user']->display['default']->display_options['fields']['views_bulk_operations']['vbo_operations']['action::views_bulk_operations_argument_selector_action']);
    unset($data['admin_views_user']->display['default']->display_options['fields']['views_bulk_operations']['vbo_operations']['action::views_bulk_operations_delete_item']);
    unset($data['admin_views_user']->display['default']->display_options['fields']['views_bulk_operations']['vbo_operations']['action::views_bulk_operations_modify_action']['settings']['display_values']['_all_']);
    unset($data['admin_views_user']->display['default']->display_options['fields']['views_bulk_operations']['vbo_operations']['action::views_bulk_operations_script_action']);
    unset($data['admin_views_user']->display['default']->display_options['fields']['views_bulk_operations']['vbo_operations']['action::views_bulk_operations_user_cancel_action']);
    unset($data['admin_views_user']->display['default']->display_options['fields']['views_bulk_operations']['vbo_operations']['action::views_bulk_operations_user_roles_action']);
    unset($data['admin_views_user']->display['default']->display_options['filters']['name']);
  }
}
