<?php
// Plugin definition
$plugin = array(
  'title' => t('Layout 9a'),
  'icon' => 'wcm-omega-9a.png',
  'category' => t('WCM Omega Layouts'),
  'theme' => 'wcm_omega_9a',
  'css' => '../wcm-omega-layouts.css',
  'regions' => array(
    'header' => t('Header'),
    'tiles_header_1' => t('Tiles Header 1'),
    'tile1' => t('Tile 1'),
    'tile2' => t('Tile 2'),
    'tile3' => t('Tile 3'),
    'tile4' => t('Tile 4'),
    'tile5' => t('Tile 5'),
    'tile6' => t('Tile 6'),
    'tiles_header_2' => t('Tiles Header 2'),
    'tile7' => t('Tile 7'),
    'tile8' => t('Tile 8'),
    'tile9' => t('Tile 9'),
    'tile10' => t('Tile 10'),
    'tile11' => t('Tile 11'),
    'tile12' => t('Tile 12'),
    'tiles_header_3' => t('Tiles Header 3'),
    'tile13' => t('Tile 13'),
    'tile14' => t('Tile 14'),
    'tile15' => t('Tile 15'),
    'tile16' => t('Tile 16'),
    'tile17' => t('Tile 17'),
    'tile18' => t('Tile 18'),
  ),
);

/**
 * Implements hook_preprocess_wcm_omega_9a().
 */
function template_preprocess_wcm_omega_9a(&$vars) {
  $rows = array(
    'header' => array('header'),
    'tiles_group_1' =>array('tiles_header_1', 'tile1', 'tile2', 'tile3', 'tile4', 'tile5', 'tile6'),
    'tiles_group_2' =>array('tiles_header_2', 'tile7', 'tile8', 'tile9', 'tile10', 'tile11', 'tile12'),
    'tiles_group_3' =>array('tiles_header_3', 'tile13', 'tile14', 'tile15', 'tile16', 'tile17', 'tile18'),
  );

  $vars['panels_row'] = ocio_omega_settings_panel_rows($rows, $vars);
  $vars['panels_row_classes'] = ocio_omega_settings_panel_row_classes();
}
