<?php

/**
 * @file
 * Contains a pre-process hook for 'menu_link'.
 */

/**
 * Implements template_preprocess_menu_link().
 *
 * Adds accessible markup to active menu block links.
 */
function wcm_omega_preprocess_menu_link(&$vars) {
  $element = $vars['element'];

  if (!empty($element['#bid']) && $element['#bid']['module'] == 'menu_block' && in_array('active', $element['#attributes']['class'])) {
    $vars['element']['#localized_options']['attributes']['aria-current'] = 'page';
  }
}
